//              ________________________________
//             /                               /
//            /         Slayer_Leader v1      /
//           /          HellsHero  1786      /
//          /_______________________________/
//      __ __    __  __      ____      __  __                
//     / // /   / / / /___  / / /_____/ / / /___  _________ 
//    / // /   / /_/ // _ \/ / // ___/ /_/ // _ \/ ___/ __ \ 
//   / // /   / __  //  __/ / /(__  ) __  //  __/ /  / /_/ / 
//  /_//_/   /_/ /_/ \___/_/_//____/_/ /_/ \___/_/   \____/

%errorA = forceRequiredAddon("Gamemode_Slayer_CTF");
if(%errorA == $Error::Addon_NotFound)
{
    $Slayer::Server::LDR::numFlags = 0;
	$Slayer::Server::LDR::flagImageSlot = 3;

	$Slayer::Server::LDR::flagName[$Slayer::Server::LDR::numFlags] = "Standard Flag";
	$Slayer::Server::LDR::flagShapeFile[$Slayer::Server::LDR::numFlags] = "Add-Ons/Gamemode_Slayer_Leader/Flags/flag.dts";
	$Slayer::Server::LDR::flagMountPoint[$Slayer::Server::LDR::numFlags] = $BackSlot;
	$Slayer::Server::LDR::flagRotation[$Slayer::Server::LDR::numFlags] = eulerToMatrix("30 0 270");
	$Slayer::Server::LDR::flagOffset[$Slayer::Server::LDR::numFlags] = "0.3 -0.35 -.6";
	$Slayer::Server::LDR::flagRotate[$Slayer::Server::LDR::numFlags] = 0;
	$Slayer::Server::LDR::flagHasLight[$Slayer::Server::LDR::numFlags] = 1;
	$Slayer::Server::LDR::flagLightType[$Slayer::Server::LDR::numFlags] = "ConstantLight";
	$Slayer::Server::LDR::flagLightTime[$Slayer::Server::LDR::numFlags] = 100000;
	$Slayer::Server::LDR::flagLightRadius[$Slayer::Server::LDR::numFlags] = 20;
	$Slayer::Server::LDR::flagStateName[0,$Slayer::Server::LDR::numFlags] = "Idle";
	$Slayer::Server::LDR::flagStateTransitionOnTimeout[0,$Slayer::Server::LDR::numFlags] = "Idle";
	$Slayer::Server::LDR::flagStateTimeoutValue[0,$Slayer::Server::LDR::numFlags] = 2;
	$Slayer::Server::LDR::flagStateSequence[0,$Slayer::Server::LDR::numFlags] = "root";
	$Slayer::Server::LDR::flagIdleAnimation[$Slayer::Server::LDR::numFlags] = "root";
	$Slayer::Server::LDR::numFlags ++;

	$Slayer::Server::LDR::flagName[$Slayer::Server::LDR::numFlags] = "Pole Flag";
	$Slayer::Server::LDR::flagShapeFile[$Slayer::Server::LDR::numFlags] = "Add-Ons/Gamemode_Slayer_Leader/Flags/pole.dts";
	$Slayer::Server::LDR::flagMountPoint[$Slayer::Server::LDR::numFlags] = $BackSlot;
	$Slayer::Server::LDR::flagRotation[$Slayer::Server::LDR::numFlags] = eulerToMatrix("30 0 270");
	$Slayer::Server::LDR::flagOffset[$Slayer::Server::LDR::numFlags] = "0.3 -0.35 -.6";
	$Slayer::Server::LDR::flagRotate[$Slayer::Server::LDR::numFlags] = 1;
	$Slayer::Server::LDR::numFlags ++;

	$Slayer::Server::LDR::flagName[$Slayer::Server::LDR::numFlags] = "Briefcase Flag";
	$Slayer::Server::LDR::flagShapeFile[$Slayer::Server::LDR::numFlags] = "Add-Ons/Gamemode_Slayer_Leader/Flags/briefcase.dts";
	$Slayer::Server::LDR::flagMountPoint[$Slayer::Server::LDR::numFlags] = $BackSlot;
	$Slayer::Server::LDR::flagRotation[$Slayer::Server::LDR::numFlags] = eulerToMatrix("180 135 0");
	$Slayer::Server::LDR::flagOffset[$Slayer::Server::LDR::numFlags] = "0 -0.36 -0.55";
	$Slayer::Server::LDR::flagRotate[$Slayer::Server::LDR::numFlags] = 0;
	$Slayer::Server::LDR::numFlags ++;
	
	$Slayer::Server::LDR::flagName[$Slayer::Server::LDR::numFlags] = "Deathball Skull";
	$Slayer::Server::LDR::flagShapeFile[$Slayer::Server::LDR::numFlags] = "Add-Ons/Gamemode_Slayer_Leader/Flags/deathball.dts";
	$Slayer::Server::LDR::flagMountPoint[$Slayer::Server::LDR::numFlags] = $LeftHandSlot;
	$Slayer::Server::LDR::flagRotation[$Slayer::Server::LDR::numFlags] = eulerToMatrix("0 90 0");
	$Slayer::Server::LDR::flagOffset[$Slayer::Server::LDR::numFlags] = "0.05 0 0.2";
	$Slayer::Server::LDR::flagRotate[$Slayer::Server::LDR::numFlags] = 0;
	$Slayer::Server::LDR::numFlags ++;

	$Slayer::Server::LDR::flagName[$Slayer::Server::LDR::numFlags] = "Fumbi Ball";
	$Slayer::Server::LDR::flagShapeFile[$Slayer::Server::LDR::numFlags] = "Add-Ons/Gamemode_Slayer_Leader/Flags/fumbi.dts";
	$Slayer::Server::LDR::flagMountPoint[$Slayer::Server::LDR::numFlags] = $HeadSlot;
	$Slayer::Server::LDR::flagRotation[$Slayer::Server::LDR::numFlags] = eulerToMatrix("0 0 0");
	$Slayer::Server::LDR::flagOffset[$Slayer::Server::LDR::numFlags] = "0 0 0";
	$Slayer::Server::LDR::flagRotate[$Slayer::Server::LDR::numFlags] = 0;
	$Slayer::Server::LDR::numFlags ++;

	$flagTypeList = "list";
	for($index = 0; $index < $Slayer::Server::LDR::numFlags; $index ++)
	{
		$flagTypeList = $flagTypeList TAB $index SPC $Slayer::Server::LDR::flagName[$index];
	}
	$Slayer::LDR::enableFlags = 1;
}

%errorB = forceRequiredAddon("Gamemode_Slayer");
if(%errorB == $Error::Addon_NotFound)
	error("ERROR: Gamemode_Slayer_Leader - Required add-on Gamemode_Slayer not found!");
else
{
	exec("./leaderGamemodes.cs");
//Recommended that you don't enable vip.cs because it is outdated and can be easily done (one pref) with leaderGamemodes.cs
//It probably doesn't work since it was never tested
//	exec("./vip.cs");
}